

# cli flag options
class HISTORY_TYPE:
    FULL = 'full'
    ONLY_LAST = 'onlylast'

# Message keys
TOTAL_CONVERSATION_INDEX = 'total_index'
PERSONA = 'persona'
PERSONAS = 'personas'
DIALOG_HIST = 'dialog_history'
SPEAKER_ID = 'id'
MESSAGE_TEXT = 'text'
INPUT = 'inputs'
INPUT_IDS = 'input_ids'
LABELS = 'labels'
CONTEXT = 'context'
CONTENTS = 'contents'
KNOWLEDGE = 'knowledge'
SELECTED_CONTENTS = 'selected_contents'
SEARCH_QUERY = 'search_query'

# Document retrieval
RETRIEVED_DOCS = '__retrieved-docs__'
RETRIEVED_SENTENCES = '__retrieved-doc-sentences__'
RETRIEVED_DOCS_TITLES = '__retrieved-docs-titles__'
RETRIEVED_DOCS_URLS = '__retrieved-docs-urls__'
SELECTED_DOCS = '__selected-docs__'
SELECTED_DOCS_TITLES = '__select-docs-titles__'
SELECTED_DOCS_URLS = '__selected-docs-urls__'
SELECTED_SENTENCES = '__selected-sentences__'
SEARCH_RESULTS = 'search_results'
PARTNER_PREVIOUS_MESSAGE = 'partner_previous_msg'
IS_SEARCH_QUERY = 'is_search_query'
IS_LAST_SEARCH_QUERY = 'is_last_search_query'
SKIP_SEARCH = 'skip_search'

SKIP_RETRIEVAL = 'skip_retrieval'

# Message values
NO_SEARCH_QUERY_USED = '__no_search_used__'
NO_RETRIEVED_DOCS_TOKEN = '__noretrieved-docs__'
NO_SELECTED_DOCS_TOKEN = '__noselected-docs__'
NO_SELECTED_SENTENCES_TOKEN = '__no_passages_used__'
NO_TITLE = '__no_title__'
NO_URLS = '__no_urls__'
DUMMY_TEXT = '__SILENCE__'
NOPERSONA = '__NO__PERSONA__BEAM__MIN__LEN__20__'

# Flags/Opts default values
INCLUDE_PERSONA_DEFAULT = True
DIALOG_HIST_DEFAULT = HISTORY_TYPE.FULL
SKIP_ON_EMPTY_TEXT_DEFAULT = True
ONLY_LAST_QUERY_DEFAULT = False

# Tokens used in the teacher's action text filed
LABEL_TOKEN = '__label__'
END_LABEL_TOKEN = '__endlabel__'
KNOWLEDGE_TOKEN = '__knowledge__'
END_KNOWLEDGE_TOKEN = '__endknowledge__'
AVAILABLE_KNOWLEDGE_TOKEN = '__available-knowledge__'
SELECTED_DOCS_TOKEN = '__selected-docs__'
SELECTED_SENTENCES_TOKEN = '__selected-sentences__'

# Knowledge andn memory
GENERATE_KNOWLEDGE = '__generate-knowledge__'
GENERATE_MEMORY = '__generate-memory__'
ACCESS_MEMORY = '__access-memory__'
EXTRACT_ENTITY = '__extract-entity__'
IS_MEMORY_REQUIRED = '__is-memory-required__'
DO_ACCESS_MEMORY = '__do-access-memory__'
DONT_ACCESS_MEMORY = '__do-not-access-memory__'
BEGIN_MEMORY = '__memory__'
END_MEMORY = '__endmemory__'

BEGIN_ENTITY = '__entity__'
END_ENTITY = '__endentity__'
YOU = '__you__'
THEM = '__them__'
BEGIN_STYLE = '__style__'
END_STYLE = '__end-style__'
YOU_PREFIX = 'You: '
PARTNER_PREFIX = 'Partner: '

# Constants for mutators
KEEP = 'keep'
EPISODE_BEGIN = 'episode_begin'
EPISODE_END = 'episode_done'

# Search control task values
GENERATE_QUERY = '__generate-query__'
IS_SEARCH_REQUIRED = '__is-search-required__'
DO_SEARCH = '__do-search__'
DO_NOT_SEARCH = '__do-not-search__'